#/bin/sh

CONFIG=openssl.cnf
CACERT=ca.pem
CAKEY=privkey.pem
SRL=file.srl
DAYS=500

HASH=`openssl x509 -in $CACERT -noout -hash`
if (test -f $HASH.0); then
    rm -f $HASH.0 $HASH.key
fi
    
rm -f $SRL $CACERT $CAKEY
echo "00" > $SRL

openssl req -out ca.pem -new -x509 -config $CONFIG -days $DAYS
HASH=`openssl x509 -in $CACERT -noout -hash`
echo "HASH: ", $HASH
ln -s $CACERT $HASH.0
ln -s $CAKEY $HASH.key

