#/bin/sh

CONFIG=openssl.cnf
SERVERCERT=server.pem
SERVERKEY=server.key
SERVERREQ=server.req
DAYS=500

CACERT=ca.pem
CAKEY=privkey.pem

SRL=file.srl

rm -f $SRL $SERVERCERT $SERVERKEY $SERVERREQ #$CACERT $CAKEY
echo "00" > $SRL

#openssl req -out $CACERT -new -x509 -config $CONFIG
openssl genrsa -out $SERVERKEY 1024
openssl req -key $SERVERKEY -new -out $SERVERREQ -config $CONFIG
openssl x509 -req -in $SERVERREQ -CA $CACERT -CAkey $CAKEY -CAserial $SRL -out $SERVERCERT -days $DAYS

HASH=`openssl x509 -in $SERVERCERT -noout -hash`
echo "HASH: ", $HASH
ln -s $SERVERCERT $HASH.0
ln -s $SERVERKEY $HASH.key


